# Generated by Django 3.2.7 on 2021-09-16 14:34

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Target',
            fields=[
                ('target_id', models.PositiveIntegerField(primary_key=True, serialize=False, verbose_name='Target ID')),
                ('name', models.CharField(max_length=10, unique=True, verbose_name='name')),
            ],
            options={
                'verbose_name': 'target',
                'verbose_name_plural': 'targets',
                'ordering': ['target_id'],
            },
        ),
        migrations.CreateModel(
            name='LightcurveMeasurement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.FloatField(validators=[django.core.validators.MinValueValidator(0)], verbose_name='timestamp')),
                ('value', models.FloatField(validators=[django.core.validators.MinValueValidator(0)], verbose_name='value')),
                ('target', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='DataViewer.target')),
            ],
            options={
                'verbose_name': 'light curve measurement',
                'verbose_name_plural': 'light curve measurements',
                'ordering': ['target__target_id', 'timestamp'],
            },
        ),
    ]
